%define module Mail-SPF

Name: perl-%module
Version: 2.005
Release: alt1.M40.1

Summary: Perl module that implements Sender Policy Framework
License: BSD
Group: Development/Perl

URL: %CPAN %module
Packager: Victor Forsyuk <force@altlinux.org>

Source: http://www.cpan.org/modules/by-module/Mail/%module-v%version.tar.gz

BuildArch: noarch

# Testing Mail::SPF's RFC compliance currently failed. We force to skip tests
# that will fail by ensuring absence of perl-Mail-SPF-Test in build environment.
BuildConflicts: perl-Mail-SPF-Test
# Automatically added by buildreq on Mon Mar 31 2008
BuildRequires: perl-Error perl-Module-Build perl-Net-DNS-Resolver-Programmable perl-NetAddr-IP perl-Test-Pod perl-URI

# NB: When this module will pass all tests we should bring back
# perl-Mail-SPF-Test to BuildRequires.

%description
Mail::SPF is an object-oriented Perl implementation of the Sender Policy
Framework (SPF) e-mail sender authentication system.

%prep
%setup -n %module-v%version

%build
%perl_vendor_build

%install
%perl_vendor_install

# for now we exclude spfquery and spfd in favor of perl-Mail-SPF-Query.
# will change this later

%files
%exclude %_bindir/spfquery
%exclude %_sbindir/spfd
%exclude %_man1dir/*
%perl_vendor_privlib/Mail/*
%perl_vendor_man3dir/*

%changelog
* Thu Aug 07 2008 Andrey Cherepanov <cas@altlinux.ru> 2.005-alt1.M40.1
- port to 4.0 branch

* Mon Mar 31 2008 Victor Forsyuk <force@altlinux.org> 2.005-alt1
- 2.005

* Thu Aug 16 2007 Victor Forsyuk <force@altlinux.org> 2.004-alt2
- Fix build environment to ensure build tests will succeed.

* Tue May 22 2007 Victor Forsyuk <force@altlinux.org> 2.004-alt1
- Initial build.
